Get object metadata for connection
curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/providers/{provider}/objects/{objectName}/metadata \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/providers/{provider}/objects/{objectName}/metadata"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/providers/{provider}/objects/{objectName}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "contact",
"fields": {},
"displayName": "Contact",
"mappedObjectName": "people"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Objects & Fields
Get object metadata for connection
Retrieves metadata about an object in a customer’s SaaS instance, including its fields.
This endpoint only requires that a Connection exists for the given groupRef.
It does not apply any object mappings. This endpoint may return nested fields as a part of the response.
Nested fields are returned in JSONPath bracket notation (e.g. $['billingaddress']['city']).
Currently, nested fields are only returned for Salesforce, but this may be expanded to other providers in the future.
GET
/
projects
/
{projectIdOrName}
/
providers
/
{provider}
/
objects
/
{objectName}
/
metadata
Get object metadata for connection
Authorizations
APIKeyHeaderBearer
Path Parameters
The unique identifier or name of the project.
The API Provider
Object name (mapped or unmapped)
Query Parameters
The groupRef for the connection.
Excludes fields where ReadOnly is true from the response.
Was this page helpful?

